Criar customer

View as Markdown
Cria um novo customer vinculado ao usuário autenticado e gera automaticamente uma wallet para esse customer. Este endpoint exige: - `Authorization: Bearer <accessToken>` - `secret-key: btoa(clientKey:clientSecret)`

Authentication

AuthorizationBearer

Token retornado pelo endpoint /auth/login.

secret-keystring

Chave Base64 no formato btoa(clientKey:clientSecret).

Request

This endpoint expects an object.
taxIdstringRequired
namestringRequired
emailstringRequiredformat: "email"

Response

Customer criado com sucesso.
_idstring
userIdstring
taxIdstring
namestring
emailstringformat: "email"
deletedboolean
balanceobject
walletobject
taxRateobject

Taxa administrativa aplicada por hierarquia customer -> user -> settings.

Errors

400
Bad Request Error
401
Unauthorized Error